@article{hars-cascade,
	Author = {Paul Viola and Michael Jones},
	Journal = {Mitsubishi Electric Research Laboratories},
	Title = {Rapid Object Detection using a Boosted Cascade of Simple Features},
	Year = {2001}}

@article{computer-vision-evolution,
	Author = {T. S. Huang},
	Journal = {CERN School of Computing,},
	Title = {Computer Vision: Evolution and Promise},
	Year = {1996}}

@article{FaceNet,
  author={Schroff, Florian and Kalenichenko, Dmitry and Philbin, James},
  booktitle={2015 IEEE Conference on Computer Vision and Pattern Recognition (CVPR)},
  title={FaceNet: A unified embedding for face recognition and clustering},
  year={2015},
  volume={},
  number={},
  pages={815-823},
  doi={10.1109/CVPR.2015.7298682}}

@book{clean-architecture,
  author         = {Robert Martin},
  editor         = {Pearson},
  publisher      = {Prentice Hall},
  title          = {Clean Architecture: A Craftsman's Guide to Software Structure and Design},
  year           = {2017}
}

@article{accurate-scale,
	title = {Accurate Scale Estimation for Robust Visual Tracking},
	author = {Danelljan, Martin and H&auml;ger, Gustav and Shahbaz Khan, Fahad and Felsberg, Michael},
	year = {2014},
	booktitle = {Proceedings of the British Machine Vision Conference},
	publisher = {BMVA Press},
	editor = {Valstar, Michel and French, Andrew and Pridmore, Tony}
}

@article{MTCNN,
	author={Zhang, Kaipeng and Zhang, Zhanpeng and Li, Zhifeng and Qiao, Yu},
  journal={IEEE Signal Processing Letters},
  title={Joint Face Detection and Alignment Using Multitask Cascaded Convolutional Networks},
  year={2016},
  volume={23},
  number={10},
  pages={1499-1503},
  doi={10.1109/LSP.2016.2603347}}
}

@article{python-thread,
  title={Python Parallel Processing and Multiprocessing: A Rivew},
  volume={10},
  DOI={10.25007/ajnu.v10n3a1145},
  number={3},
  journal={Academic Journal of Nawroz University},
  author={A. Aziz, Zina and Naseradeen Abdulqader, Diler and Sallow, Amira Bibo and Khalid Omer, Herman},
  year={2021},
  month={Aug.}
  }

@article{bio-inspired,
    title = {Bio-inspired computer vision: Towards a synergistic approach of artificial and biological vision},
    journal = {Computer Vision and Image Understanding},
    volume = {150},
    pages = {1-30},
    year = {2016},
    issn = {1077-3142},
    doi = {https://doi.org/10.1016/j.cviu.2016.04.009},
    url = {https://www.sciencedirect.com/science/article/pii/S1077314216300339},
    author = {N. V. Kartheek Medathati and Heiko Neumann and Guillaume S. Masson and Pierre Kornprobst},
    keywords = {Canonical computations, Event based processing, Dynamic sensors, Multiplexed representation, Population coding, Soft selectivity, Feedback, Lateral interactions, Form-motion interactions},
    abstract = {Studies in biological vision have always been a great source of inspiration for design of computer vision algorithms. In the past, several successful methods were designed with varying degrees of correspondence with biological vision studies, ranging from purely functional inspiration to methods that utilise models that were primarily developed for explaining biological observations. Even though it seems well recognised that computational models of biological vision can help in design of computer vision algorithms, it is a non-trivial exercise for a computer vision researcher to mine relevant information from biological vision literature as very few studies in biology are organised at a task level. In this paper we aim to bridge this gap by providing a computer vision task centric presentation of models primarily originating in biological vision studies. Not only do we revisit some of the main features of biological vision and discuss the foundations of existing computational studies modelling biological vision, but also we consider three classical computer vision tasks from a biological perspective: image sensing, segmentation and optical flow. Using this task-centric approach, we discuss well-known biological functional principles and compare them with approaches taken by computer vision. Based on this comparative analysis of computer and biological vision, we present some recent models in biological vision and highlight a few models that we think are promising for future investigations in computer vision. To this extent, this paper provides new insights and a starting point for investigators interested in the design of biology-based computer vision algorithms and pave a way for much needed interaction between the two communities leading to the development of synergistic models of artificial and biological vision.}
}